com.amazonaws.services.lambda.model

## Class RemovePermissionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.RemovePermissionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class RemovePermissionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`RemovePermissionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RemovePermissionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getFunctionName()` Lambda function whose resource policy you want to remove a permission from.
`String` `getQualifier()` You can specify this optional parameter to remove permission associated with a specific function version or function alias.
`String` `getStatementId()` Statement ID of the permission to remove.
`int` `hashCode()`
`void` `setFunctionName(String functionName)` Lambda function whose resource policy you want to remove a permission from.
`void` `setQualifier(String qualifier)` You can specify this optional parameter to remove permission associated with a specific function version or function alias.
`void` `setStatementId(String statementId)` Statement ID of the permission to remove.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RemovePermissionRequest` `withFunctionName(String functionName)` Lambda function whose resource policy you want to remove a permission from.
`RemovePermissionRequest` `withQualifier(String qualifier)` You can specify this optional parameter to remove permission associated with a specific function version or function alias.
`RemovePermissionRequest` `withStatementId(String statementId)` Statement ID of the permission to remove.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemovePermissionRequest

    public RemovePermissionRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

Lambda function whose resource policy you want to remove a permission from.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - Lambda function whose resource policy you want to remove a permission from.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

Lambda function whose resource policy you want to remove a permission from.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Lambda function whose resource policy you want to remove a permission from.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public RemovePermissionRequest withFunctionName(String functionName)

Lambda function whose resource policy you want to remove a permission from.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - Lambda function whose resource policy you want to remove a permission from.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatementId

    public void setStatementId(String statementId)

Statement ID of the permission to remove.

Parameters:
  `statementId` - Statement ID of the permission to remove.

#### getStatementId

    public String getStatementId()

Statement ID of the permission to remove.

Returns:
  Statement ID of the permission to remove.

#### withStatementId

    public RemovePermissionRequest withStatementId(String statementId)

Statement ID of the permission to remove.

Parameters:
  `statementId` - Statement ID of the permission to remove.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setQualifier

    public void setQualifier(String qualifier)

You can specify this optional parameter to remove permission associated with a specific function version or function alias. If you don't specify this parameter, the API removes permission associated with the unqualified function ARN.

Parameters:
  `qualifier` - You can specify this optional parameter to remove permission associated with a specific function version or function alias. If you don't specify this parameter, the API removes permission associated with the unqualified function ARN.

#### getQualifier

    public String getQualifier()

You can specify this optional parameter to remove permission associated with a specific function version or function alias. If you don't specify this parameter, the API removes permission associated with the unqualified function ARN.

Returns:
  You can specify this optional parameter to remove permission associated with a specific function version or function alias. If you don't specify this parameter, the API removes permission associated with the unqualified function ARN.

#### withQualifier

    public RemovePermissionRequest withQualifier(String qualifier)

You can specify this optional parameter to remove permission associated with a specific function version or function alias. If you don't specify this parameter, the API removes permission associated with the unqualified function ARN.

Parameters:
  `qualifier` - You can specify this optional parameter to remove permission associated with a specific function version or function alias. If you don't specify this parameter, the API removes permission associated with the unqualified function ARN.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RemovePermissionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`